import SwiftUI

struct ActivityDetailView: View {
    
    let activity: WorkoutActivity
    
    var body: some View {
        List {
            DetailRow("UUID", value: activity.uuid)
            DetailRow("Primary Activity", value: activity.isPrimaryActivity)
            DetailRow("Activity", value: activity.activityType)
            DetailRow("Location", value: activity.locationType)
            DetailRow("Swimming Location", value: activity.swimmingLocationType)
            DetailRow("Lap Length", value: activity.lapLength)
            DetailRow("Start", date: activity.startDate)
            DetailRow("End", date: activity.endDate)
            DetailRow("Duration", duration: activity.duration)
            DetailRow("Metadata", value: activity.metadata)
        }
        .navigationTitle("Activity")
    }
}

#Preview {
    NavigationStack {
        ActivityDetailView(activity: .init(
            uuid: .init(repeating: 42, count: 3),
            isPrimaryActivity: true,
            activityType: .running,
            locationType: .outdoor,
            swimmingLocationType: .unknown,
            lapLength: .init(repeating: 42, count: 3),
            startDate: .now.addingTimeInterval(-100),
            endDate: .now,
            duration: 100.0,
            metadata: .init(repeating: 42, count: 3))
        )
    }
}
