import Foundation
import SQLite

struct DBWorkout {
    
    private static let table = Table("workouts")
    
    private static let rowDataId = Expression<Int>("data_id")
    
    private static let rowTotalDistance = Expression<Double?>("total_distance")
    
    private static let rowGoalType = Expression<Int?>("goal_type")
    
    private static let rowGoal = Expression<Double?>("goal")
    
    private static let rowCondenserVersion = Expression<Int?>("condenser_version")
    
    private static let rowCondenserDate = Expression<Double?>("condenser_date")

    static func readAll(in database: Connection) throws -> [Self] {
        try database.prepare(table).map(Self.init(row:))
    }

    let dataId: Int
    
    let totalDistance: Double?
    
    let goalType: Int?
    
    let goal: Double?
    
    let condenserVersion: Int?
    
    let condenserDate: Double?
    
    init(row: Row) {
        self.dataId = row[DBWorkout.rowDataId]
        self.totalDistance = row[DBWorkout.rowTotalDistance]
        self.goalType = row[DBWorkout.rowGoalType]
        self.goal = row[DBWorkout.rowGoal]
        self.condenserVersion = row[DBWorkout.rowCondenserVersion]
        self.condenserDate = row[DBWorkout.rowCondenserDate]
    }
}

